/* main sheesh */

/* fonts */
@font-face {
    font-family: 'tape';
    src: url('/public/fonts/tape/RT DIY-Tape.ttf') format('truetype');
}

@font-face {
    font-family: 'code-next';
    src: url('/public/fonts/codenext/TTF/CodeNext-ExtraBold.ttf') format('truetype');
}

@font-face {
    font-family: '08-underground';
    src: url('/public/fonts/08underground/08\ Underground.ttf') format('truetype');
}

/* colors */
:root {
    /* main */
    --not-burnt-orange: #812c25;
    --very-tan: #f6d8ae;
    --afro: #141204;
    --leaf-green: #698f3f;
    --shwhite: #fff7f8;

    /* other */
    --yeller: #deb841;
}

/* global */
body {
    background-color: var(--very-tan);
    color: var(--afro);
    font-family: code-next, sans-serif;
    margin: 0;
    padding: 0;
    border: 2vh solid var(--afro); 
    min-height: 96vh;
    overflow-x: hidden;
    overflow-y: hidden;
}

::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-track {
    background: var(--very-tan);
    border-left: 2px solid var(--afro);
}

::-webkit-scrollbar-thumb {
    background: var(--afro);
    border: 2px solid var(--very-tan);
    border-radius: 0px; 
}

::-webkit-scrollbar-thumb:hover {
    background: var(--not-burnt-orange);
}

::-webkit-scrollbar-corner {
    background: var(--afro);
}


.button {
    font-size: 1.5rem;
    background-color: var(--not-burnt-orange);
    color: var(--afro);
    padding: 0.2rem;
    margin: 0;
    box-shadow: 0.3rem 0.3rem var(--afro);
    border: none;
    cursor: pointer;
    transition: box-shadow 0.2s ease, background-color 0.2s ease, color 0.2s ease;
}

.button:hover {
    background-color: var(--leaf-green);
    color: var(--very-tan);
    box-shadow: 0.2rem 0.2rem var(--very-tan);
}

a{
    color: var(--not-burnt-orange);
    text-decoration: none;
}

a:visited, a:hover {
    color: var(--leaf-green);
    text-decoration: none;
}

h1 {
    font-family: '08-underground', sans-serif;
}

/* apply fonts */
.tape { font-family: 'tape', monospace; }
.code-next { font-family: 'code-next', sans-serif; }
.underground { font-family: '08-underground', sans-serif; }

/* fx */
.negative {
    mix-blend-mode: difference;
    position: fixed;
    z-index: 10;
}

/* background */
.collage {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    overflow: hidden;
    background-color: var(--very-tan);
}
.bkg-asset {
    position: absolute;
    /* desktop */
    top: var(--d-top, auto);
    bottom: var(--d-bottom, auto);
    left: var(--d-left, auto);
    right: var(--d-right, auto);
    width: var(--d-w, auto);
    height: var(--d-h, auto);
}

@media (max-width: 768px) {
    .bkg-asset {
        /* mobile */
        top: var(--m-top, auto);
        bottom: var(--m-bottom, auto);
        left: var(--m-left, auto);
        right: var(--m-right, auto);
        width: var(--m-w, auto);
        height: var(--m-h, auto);
    }
}